Summary:	System for layout and rendering of internationalized text - cross MinGW32 version
Summary(pl.UTF-8):	System renderowania międzynarodowego tekstu - wersja skrośna dla MinGW32
%define		realname   pango
Name:		crossmingw32-%{realname}
Version:	1.36.1
Release:	1
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pango/1.36/%{realname}-%{version}.tar.xz
# Source0-md5:	9e0d3a1ea395172f8c39ba98a4d2081a
URL:		http://www.pango.org/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake >= 1:1.9
BuildRequires:	crossmingw32-cairo >= 1.12.10
BuildRequires:	crossmingw32-fontconfig >= 2.10.91
BuildRequires:	crossmingw32-freetype >= 2.1.7
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-glib2 >= 2.34.0
BuildRequires:	crossmingw32-harfbuzz >= 0.9.9
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.15
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	crossmingw32-cairo >= 1.12.10
Requires:	crossmingw32-fontconfig >= 2.10.91
Requires:	crossmingw32-freetype >= 2.1.7
Requires:	crossmingw32-glib2 >= 2.34.0
Requires:	crossmingw32-harfbuzz >= 0.9.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%define		_ssp_cflags		%{nil}
%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*

%description
System for layout and rendering of internationalized text (cross
MinGW32 version).

%description -l pl.UTF-8
System obsługi i renderowania międzynarodowego tekstu (wersja skrośna
MinGW32).

%package dll
Summary:	DLL pango libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL pango dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-cairo-dll >= 1.12.10
Requires:	crossmingw32-fontconfig-dll >= 2.10.91
Requires:	crossmingw32-freetype-dll >= 2.1.7
Requires:	crossmingw32-glib2-dll >= 2.34.0
Requires:	crossmingw32-harfbuzz-dll >= 0.9.9
Requires:	wine

%description dll
DLL pango libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL pango dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
export PKG_CONFIG_LIBDIR=%{_pkgconfigdir}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# missing from make install but required by it
install -d $RPM_BUILD_ROOT%{_sysconfdir}/pango

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

# omitted from make install
for f in pango pangocairo pangoft2 pangowin32 ; do
	cp -p pango/${f}.def $RPM_BUILD_ROOT%{_libdir}/${f}-1.0.def
done

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{gtk-doc,man}
# useless (modules loaded through libgmodule)
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pango/1.8.0/modules/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%{_libdir}/libpango-1.0.dll.a
%{_libdir}/libpangocairo-1.0.dll.a
%{_libdir}/libpangoft2-1.0.dll.a
%{_libdir}/libpangowin32-1.0.dll.a
%{_libdir}/libpango-1.0.la
%{_libdir}/libpangocairo-1.0.la
%{_libdir}/libpangoft2-1.0.la
%{_libdir}/libpangowin32-1.0.la
%{_libdir}/pango-1.0.def
%{_libdir}/pangocairo-1.0.def
%{_libdir}/pangoft2-1.0.def
%{_libdir}/pangowin32-1.0.def
%{_includedir}/pango-1.0
%{_pkgconfigdir}/pango.pc
%{_pkgconfigdir}/pangocairo.pc
%{_pkgconfigdir}/pangoft2.pc
%{_pkgconfigdir}/pangowin32.pc

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libpango-1.0-*.dll
%{_dlldir}/libpangocairo-1.0-*.dll
%{_dlldir}/libpangoft2-1.0-*.dll
%{_dlldir}/libpangowin32-1.0-*.dll
%dir %{_libdir}/pango
%dir %{_libdir}/pango/1.8.0
%dir %{_libdir}/pango/1.8.0/modules
%{_libdir}/pango/1.8.0/modules/*.dll
%changelog
* Wed Nov 13 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-pango.git;a=log;h=master

* Wed Nov 13 2013 Jakub Bogusz <qboosh@pld-linux.org> b9a93e5
- updated to 1.36.1

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 71a8d95
- updated to 1.36.0

* Tue May 14 2013 Jakub Bogusz <qboosh@pld-linux.org> f6bd614
- updated to 1.34.1

* Mon Apr 22 2013 Elan Ruusamäe <glen@delfi.ee> 20c23c1
- remove default stack protector flags

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> f845873
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 1456f3e
- do not provide pkgconfig deps in system namespace

* Wed Mar 27 2013 Jakub Bogusz <qboosh@pld-linux.org> dbe645c
- updated to 1.34.0

* Wed Dec 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 1774e8e
- updated to 1.32.5

* Sun Dec 09 2012 Jakub Bogusz <qboosh@pld-linux.org> c6b8099
- updated to 1.32.4

* Thu Nov 22 2012 Jakub Bogusz <qboosh@pld-linux.org> dba66bf
- updated to 1.32.3

* Wed Nov 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 8f0753c
- updated to 1.32.2

* Fri Sep 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 8eca557
- updated to 1.32.1

* Tue Jun 12 2012 Jakub Bogusz <qboosh@pld-linux.org> fbe5a3f
- updated to 1.30.1

* Tue Mar 27 2012 Jakub Bogusz <qboosh@pld-linux.org> b9a5243
- updated to 1.30.0

* Wed Apr 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 1279d76
- updated to 1.28.4
- BR: gcc-c++

* Thu Oct 14 2010 Jakub Bogusz <qboosh@pld-linux.org> 8502051
- updated to 1.28.3

* Mon Oct 04 2010 Jakub Bogusz <qboosh@pld-linux.org> d9f8c1a
- updated to 1.28.2

* Sun Jun 20 2010 Jakub Bogusz <qboosh@pld-linux.org> 660f080
- updated to 1.28.1

* Wed Mar 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 62eb1e5
- updated to 1.28.0

* Wed Mar 24 2010 Jakub Bogusz <qboosh@pld-linux.org> a73792e
- updated to 1.26.2
- package missing dirs

